> For the complete documentation index, see [llms.txt](https://docs.glittr.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.glittr.fi/api-reference/getting-assets-api.md).

# Getting Assets API

Glittr's core came with helper APIs to fetch assets information. To use the API you can first run your  Glittr node which came with the API functionality (see [Setup](/building-on-glittr/setup.md#localnet) ).\
\
\
\&#xNAN;*note: All examples below use the devnet version (connected to custom regtest)*&#x20;

## Get Assets in a UTXO

<mark style="color:green;">`GET`</mark> /helper/assets/{outpoint}

Shows Glittr assets in an output, the format of the `outpoint` is `txid:vout` such as `17084c005ffbbe97b06f17acb1b86291da945cc15e4964bfdbc4e61f6ec46d74:0`

sample request: <https://devnet-core-api.glittr.fi/helper/assets/612accb284e3e28a6ab9120c70b408ae333d825bee5a6ca24df05ed91445216a:1>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "block_height": 161760,
  "result": [
    {
      "balance": "464",
      "contract_id": "158399:1",
      "divisibility": 6,
      "ticker": "TESTX",
      "type": {
        "free_mint": true
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Get Wallet Balances

<mark style="color:green;">`GET`</mark> /helper/address/\<address>/balance-summary

Shows Glittr asset balance for a given bitcoin address. The balance here is the total balance from all the UTXOs the address has.\
\
sample request: <https://devnet-core-api.glittr.fi/helper/address/mroHGEtVBLxKoo34HSHbHdmKz1ooJdA3ew/balance-summary>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "block_height": 161761,
  "data": [
    {
      "balance": "26",
      "contract_id": "158458:1",
      "divisibility": 18,
      "ticker": null,
      "type": {
        "collateralized": {
          "assets": [
            {
              "contract_id": "158399:1",
              "divisibility": 6,
              "ticker": "TESTX"
            },
            {
              "contract_id": "158410:1",
              "divisibility": 6,
              "ticker": "TESTY"
            }
          ]
        }
      }
    },
    {
      "balance": "6000",
      "contract_id": "147385:1",
      "divisibility": 6,
      "ticker": "TESTB",
      "type": {
        "free_mint": true
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Get Wallet Valid UTXOs

<mark style="color:green;">`GET`</mark> /helper/address/\<address>/valid-outputs

Shows valid utxos that have Glittr assets in them for a given bitcoin address.\
\
sample request: <https://devnet-core-api.glittr.fi/helper/address/mroHGEtVBLxKoo34HSHbHdmKz1ooJdA3ew/valid-outputs>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "block_height": 161764,
  "data": [
    {
      "address": "mroHGEtVBLxKoo34HSHbHdmKz1ooJdA3ew",
      "asset_balances": [
        {
          "balance": "1000",
          "contract_id": "147385:1",
          "divisibility": 6,
          "ticker": "TESTB",
          "type": {
            "free_mint": true
          }
        }
      ],
      "output": "49cc703f43259f9229b10fb1a42ffd87df3704cb424264b5a66bc18a1ded6dd4:0"
    },
    {
      "address": "mroHGEtVBLxKoo34HSHbHdmKz1ooJdA3ew",
      "asset_balances": [
        {
          "balance": "1000",
          "contract_id": "147385:1",
          "divisibility": 6,
          "ticker": "TESTB",
          "type": {
            "free_mint": true
          }
        }
      ],
      "output": "4c5532f2687646015be9d3a6f5d09a6691dd96ff89a476009ce372f1357f88b2:0"
    },
  ...
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.glittr.fi/api-reference/getting-assets-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
